using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Exam.Share.ViewResponses.Exam
{
    public class ExtractRuleViewResponse:IViewResponse
    {
        /// <summary>
        /// 规则名称
        /// </summary>
        [Description("规则名称")]
        public string Name { get; set; }

        /// <summary>
        /// 规则编号
        /// </summary>
        [Description("规则编号")]
        public string Code { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        public string Remark { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public EPublicStatus Status { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int SortIndex { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]

        public string Id { get; set; }

        /// <summary>
        /// 考试类型
        /// </summary>
        [Description("考试类型")]
        public EExamType ExamType { get; set; }
    }
}
